/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Regression Tree</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.RegressionTree#getRegressionTree <em>Regression Tree</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getRegressionTree()
 * @model
 * @generated
 */
public interface RegressionTree extends MLAlgorithm
{
  /**
   * Returns the value of the '<em><b>Regression Tree</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Regression Tree</em>' attribute.
   * @see #setRegressionTree(String)
   * @see fr.istic.mML.MMLPackage#getRegressionTree_RegressionTree()
   * @model
   * @generated
   */
  String getRegressionTree();

  /**
   * Sets the value of the '{@link fr.istic.mML.RegressionTree#getRegressionTree <em>Regression Tree</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Regression Tree</em>' attribute.
   * @see #getRegressionTree()
   * @generated
   */
  void setRegressionTree(String value);

} // RegressionTree
